Welcome, Guest
Username: Password: Remember me
"City Car Driving" general discussion forum for English users
  • Page:
  • 1

TOPIC: Buy old 1.2.5 ccd (steam) key

Buy old 1.2.5 ccd (steam) key 27 Apr 2019 11:45 #112164

Hello ccd gamers.

I downloaded ccd 1.2.5 a few years ago.
Now i want buy a (steam) key, and play the 1.2.5 ccd game.
But i can't find any information about older ccd game's / or key's.
Why an old 1.2.5 game:
The old 1.2.5 ccd version, is perfect for my pc (recommended) system configuration.
Question(s)
Are the (new) steam key's compatible for the older 1.2.5 ccd game?
If not:
Can i run the latest ccd 1.5.7 game with low settings?
This is my computer:
Windows 10 Pro 64-bit
Processor. Intel Core 2 Quad Q6600 @ 2.40GHz
RAM. 8,00GB Dual-chanal DDR2 @ 332MHz
Grafisch. 1024 MB-NVIDIA GeForce GT 730 (MSI)
Monitor. 19 inch HP 1825 TFT monitor 1280 / 1024 75 hrz max.
DirectX. is compatible with version 11
Soundcard. is compatible with DirectX 9.0

I think.. that the, system requirements for the latest ccd 1.5.7 are (maybe) compatible with my hardware.


I hope you (anyone) can help me..
The administrator has disabled public write access.

Buy old 1.2.5 ccd (steam) key 28 Apr 2019 14:08 #112174

  • kas1.4truckdriver
  • kas1.4truckdriver's Avatar
  • OFFLINE
  • Guru
  • Škoda and Volvo fan.
  • Posts: 4563
  • Thank you received: 1010
r van der wal wrote:
Hello ccd gamers.

I downloaded ccd 1.2.5 a few years ago.
Now i want buy a (steam) key, and play the 1.2.5 ccd game.
But i can't find any information about older ccd game's / or key's.
Why an old 1.2.5 game:
The old 1.2.5 ccd version, is perfect for my pc (recommended) system configuration.
Question(s)
Are the (new) steam key's compatible for the older 1.2.5 ccd game?
If not:
Can i run the latest ccd 1.5.7 game with low settings?
This is my computer:
Windows 10 Pro 64-bit
Processor. Intel Core 2 Quad Q6600 @ 2.40GHz
RAM. 8,00GB Dual-chanal DDR2 @ 332MHz
Grafisch. 1024 MB-NVIDIA GeForce GT 730 (MSI)
Monitor. 19 inch HP 1825 TFT monitor 1280 / 1024 75 hrz max.
DirectX. is compatible with version 11
Soundcard. is compatible with DirectX 9.0

I think.. that the, system requirements for the latest ccd 1.5.7 are (maybe) compatible with my hardware.


I hope you (anyone) can help me..

For your first question, no you can't buy a steam key and use the 1.2.5 version of the game. If you buy City Car Driving on Steam then you'll get the latest version of the game. 1.5.7.x.

For the question if you can run 1.5.7.x on your PC, if done a small check on the internet and this is what game-debate said: Report of your PC click on the link to see the report. its still up to you if you want to play on these settings.

p.s aan je naam te zien ben je Nederlands toch? als het niet duidelijk is moet je het zeggen dan vertaal ik het.
Current cars that I drive in real life:
- Ford Transit Connect L2H2 2012
- Ford Transit L3H2 2014
- Opel Agila 1.2 2011
- Skoda Octavia Combi 1.4 Tsi 2016
Last Edit: 28 Apr 2019 14:08 by kas1.4truckdriver.
The administrator has disabled public write access.
The following user(s) said Thank You: r van der wal
  • Page:
  • 1
Time to create page: 0.122 seconds